Bug 1303434 - Review Request: erlang-p1_sip - ProcessOne SIP server component in Erlang
Review Request: erlang-p1_sip - ProcessOne SIP server component in Erlang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2016-01-31 13:09 EST by Jeremy Cline
Modified: 2016-02-07 20:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 20:43:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2016-01-31 13:09:12 EST
Spec URL: https://jcline.fedorapeople.org/erlang-p1_sip.spec
SRPM URL: https://jcline.fedorapeople.org/erlang-p1_sip-1.0.0-1.fc23.src.rpm
Description: ProcessOne SIP server component in Erlang.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12760905

There are a few rpmlint issues:
Rpmlint
-------
Checking: erlang-p1_sip-1.0.0-1.fc24.x86_64.rpm
          erlang-p1_sip-1.0.0-1.fc24.src.rpm
erlang-p1_sip.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_sip-1.0.0/priv/esip_drv.so
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip.hrl
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip_lib.hrl
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/share/licenses/erlang-p1_sip/COPYING
2 packages and 0 specfiles checked; 3 errors, 1 warnings.

The Erlang convention is to not strip binaries. The license in upstream's master branch is ASL 2.0 so the incorrect FSF address can't be reported to upstream.
Comment 1 Randy Barlow 2016-02-01 16:48:29 EST
The only suggestion is to add a comment explaining what the patch is for to the spec file. Approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 17 files have unknown license. Detailed output of
     licensecheck in /home/rbarlow/1303434-erlang-p1_sip/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     Note: Can you add a comment to the spec explaining the patch at a high level?
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_sip-1.0.0-1.fc24.x86_64.rpm
          erlang-p1_sip-1.0.0-1.fc24.src.rpm
erlang-p1_sip.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_sip-1.0.0/priv/esip_drv.so
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/share/licenses/erlang-p1_sip/COPYING
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip_lib.hrl
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip.hrl
2 packages and 0 specfiles checked; 3 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_sip.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_sip-1.0.0/priv/esip_drv.so
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip_lib.hrl
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/share/licenses/erlang-p1_sip/COPYING
erlang-p1_sip.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_sip-1.0.0/include/esip.hrl
1 packages and 0 specfiles checked; 3 errors, 1 warnings.



Requires
--------
erlang-p1_sip (rpmlib, GLIBC filtered):
    erlang-erts
    erlang-p1_stun
    erlang-p1_tls
    erlang-p1_utils
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_sip:
    erlang-p1_sip
    erlang-p1_sip(x86-64)



Unversioned so-files
--------------------
erlang-p1_sip: /usr/lib64/erlang/lib/p1_sip-1.0.0/priv/esip_drv.so

Source checksums
----------------
https://github.com/processone/p1_sip/archive/1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2d6dfad997931668eb83a0cb127ccca8c51f8a383d76f9dea393c0b3a4eabae7
  CHECKSUM(SHA256) upstream package : 2d6dfad997931668eb83a0cb127ccca8c51f8a383d76f9dea393c0b3a4eabae7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1303434
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2016-02-02 08:56:14 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_sip

Note You need to log in before you can comment on or make changes to this bug.